---

# Tenant deletion
#   (keycloak realm)
#   (kibana space, user, role)

# Parameters:
#   playbook inventory
#     stage := the name of the stage (e.g. dev, int, qa, prod)
#     tenant := object with tenant related data
#       id := uuid used in pmci
#       key := unique tenant key
#       name := name of the tenant
#       admin := teannt admin account
#         email := 
#         first_name := 
#         last_name := 
#     cluster := object with cluster specific data (optional)
#       ...
#     data := object with action specific data (optional)
#       ...
#   smardigo message callback
#     scope_id := (scope id of the management process)
#     process_instance_id := (process instance id of the management process)
#     smardigo_management_action := (smardigo management action anme of the management process)

#############################################################
#   Creating inventory dynamically for given parameters
#############################################################

- import_playbook: pmci-inventory-cluster.yml
  vars:
    cluster:
      key: pmci
      service: 'realm'
      features: []

#############################################################
#   Running the PMCI roles
#############################################################

- hosts: "stage_{{ stage }}:!{{ stage }}-virtual-host-to-read-groups-vars"
  serial: "{{ serial_number | default(1) }}"
  gather_facts: false
  connection: local
  vars:
    management_realm_name: "management"
    management_base_url: "{{ stage }}-management-01-connect.{{ domain }}"

  pre_tasks:
    - name: "Import autodiscover pre-tasks"
      import_tasks: tasks/autodiscover_pre_tasks.yml
      become: false
      tags:
        - always

  tasks:
    - name: "Delete keycloak realm <{{ tenant.key }}>"
      include_role:
        name: pmci/tenant/delete

#############################################################
#   Sending smardigo management message to process
#############################################################

- import_playbook: pmci-callback.yml
